#include <psychlops.h>
using namespace Psychlops;

//色の配列を宣言
Psychlops::Color colArray[3]={1.0,0.5,0.25};
//座標(X,Y)の配列を宣言
Psychlops::Point pointArray[3];

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	//座標(X[],Y[])にそれぞれ値((50,50),(100,50),(150,50)を設定
	for(int i=0; i<3; i++){
		pointArray[i].setX((i+1)*50);
		pointArray[i].setY(50);
	}

	sampleA.pix(3,pointArray,colArray);
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}